///*
//*  Copyright 2019-2020 Zheng Jie
//*
//*  Licensed under the Apache License, Version 2.0 (the "License");
//*  you may not use this file except in compliance with the License.
//*  You may obtain a copy of the License at
//*
//*  http://www.apache.org/licenses/LICENSE-2.0
//*
//*  Unless required by applicable law or agreed to in writing, software
//*  distributed under the License is distributed on an "AS IS" BASIS,
//*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//*  See the License for the specific language governing permissions and
//*  limitations under the License.
//*/
//package com.usky.meeting.service.dto;
//
//import com.alibaba.fastjson.annotation.JSONField;
//import com.alibaba.fastjson.serializer.ToStringSerializer;
//import com.usky.meeting.service.dto.DmMeetingRoomDto;
//import com.usky.meeting.domain.DmDevice;
//import com.usky.meeting.domain.SysUser;
//import com.usky.meeting.domain.ToolLocalStorage;
//import lombok.Data;
//
//import java.io.Serializable;
//import java.sql.Timestamp;
//import java.util.Set;
//
///**
//* @website https://el-admin.vip
//* @description /
//* @author shiguangji
//* @date 2021-03-15
//**/
//@Data
//public class DmMeetingDto implements Serializable {
//
//    /** 防止精度丢失 */
//    @JSONField(serializeUsing = ToStringSerializer.class)
//    private Long meetingId;
//
//    /** 会议议题 */
//    private String meetingName;
//
//    /** 会议室id */
//    private DmMeetingRoomDto room;
//
//    private String roomName;
//    /** 会议介绍 */
//    private String meetingDescribe;
//
//    /** 会议类型(如研讨会、部门会议等) */
//    private String meetingType;
//
//    /** 参与部门 */
//    private DeptDto dept;
//
//    /** 发起人id */
//    private DmUserDto initiatorUser;
//
//    private Set<SysUser> users;
//
//    private Set<ToolLocalStorage> localStorages;
//
//    private Set<DmDevice> dmDevices;
//
//    /** 开始时间 */
//    private Timestamp startDate;
//
//    /** 结束时间 */
//    private Timestamp endDate;
//
//    /** 审批状态(0-审批中 1-审批通过 2-审批驳回) */
//    private Long approveStatus;
//
//    /** 审批者意见 */
//    private String approveSuggest;
//
//    /** 实际签到人数 */
//    private Integer actualCount;
//
//    /** 应到人数/计划人数 */
//    private Integer planCount;
//
//    /** 是否延期(会议是否需要延期30分钟) */
//    private Boolean isDelay;
//
//    /** 备注 */
//    private String remark;
//
//    /** 会议状态(未开始/进行中/已结束) */
//    private Long meetingStatus;
//
//    /** 关联任务id */
//    private String taskId;
//
//    /** 任务实例id */
//    private String procInstId;
//
//    /** 是否取消 */
//    private Boolean isCancel;
//
//    /** 通知类型(APP/Email/短信) */
//    private String sendType;
//
//    /** 会议性质(1-高层会议/0-普通会议) */
//    private String meetingProp;
//
//    /** 是否需要审批(0-否 1-是) */
//    private Boolean isApprove;
//
//    /** 高层会议-指定用户 */
//    private Long gcAssignUser;
//
//    /** 会议模式 */
//    private String meetingMode;
//
//    private Set<Long> gcAssignUsers;
//
//    private Set<Long> approveUsers;
//
//    private Set<DmUserDto> userList;
//
//}